Package org.eclipse.emf.cdo.expressions

## Interface ListConstruction

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `Expression`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `ListConstructionImpl`

      public interface ListConstruction
      extends Expression

  A representation of the model object 'List Value'.

  The following features are supported:

  - `Elements`
  See Also:
    `ExpressionsPackage.getListConstruction()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<Expression>` | `getElements()` | Returns the value of the 'Elements' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getElements

          org.eclipse.emf.common.util.EList<Expression> getElements()

      Returns the value of the 'Elements' containment reference list. The list contents are of type `Expression`.

      If the meaning of the 'Elements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Elements' containment reference list.
      See Also:
        `ExpressionsPackage.getListConstruction_Elements()`
      Generated
      Model
        containment="true"